Skip to main content
`Ctrl`+`K`

# NEPRefineGetKSP

Obtain the `KSP` object used by the eigensolver object in the refinement phase.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRefineGetKSP(NEP nep,KSP *ksp)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- ksp - the linear solver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetRefine()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages